<?/* $this->headScript()
		->appendFile(_st('overlay.js'), 'text/javascript')
        ?>

<? $this->headScript()->appendFile('/index/js-init-exact?region_slug=' . $this->request()->region . '&view=comments&lang=' . $this->lang() . '&region=' . $this->request()->region);*/ ?>

<h2 class="comm-count"><?=$this->count . ' ' . __('results_found')?></h2>

<div id="comments_container" >
    <!--<div class="latestComments f16b">--><?//= __('lc_latest_comments') ?><!--</div>-->
    <?

    if ( count($this->comments) > 0 ): ?>
        <? foreach ($this->comments as $comment): ?>
            <div class="latestComments" >
                <div class="latestCommentsItem">

                     <div class="fl">
                         <img class="comm-image" src="<?= $comment['escort']['photo'] ?>" /><br />
                         <a rel="external" href="<?= $this->getLink('profile', array('showname' => $comment['escort']['showname'], 'escort_id' => $comment['escort']['escort_id'])) ?>" class="comm-profile">
                             <?=mb_strtoupper( __('view') )?>
                         </a>
                     </div>

                     <div class="fl w780">
                        <? if ( count($comment['comments']) > 0 ): ?>
                            <? foreach ($comment['comments'] as $escortComment): ?>
                                    <div class="commentItem">
                                        <span class="date"><?= date("d.m.Y | H:i", strtotime($escortComment->time)); ?></span><br/>

                                        <span class="posted"><?= __('lc_posted_by') ?>:
                                            <span class="by"><?= $escortComment->username ?></span>
                                        </span>

                                        <div class="comment-text"><?= $escortComment->message; ?></div>
                                    </div>
                            <?php endforeach; ?>

                             <? if( isset( $escortComment['showmore'] ) ): ?>
                                <a onclick="return Cubix.Comments.LoadEscortComments({ showname: '<?= $comment['escort']['showname'] ?>',obj: this.parentNode })" href="#" class="moreComments"><?= __('lc_read_all_my_comments') ?></a>
                             <? endif;?>
                        <? endif?>
                     </div>
                    <div class="toClear"></div>
                </div>
            </div>
        <?php endforeach; ?>

        <div class="clear"></div>

        <?php $pages_count = ceil($this->count / $this->per_page); ?>
        <? if ($pages_count > 1): ?>
        <p class="bubble-paging padding10">
            <?php if($pages_count != 1): ?>
                <?  $pages = $this->paging($this->count, $this->page, $this->per_page, 3, 1); ?>
                <? if ( 1 < $this->page): ?>
                    <a rel="external" href="?page=<?= $this->page - 1 ?>" onclick="return Cubix.Comments.LoadComments({ page: <?= $this->page - 1 ?> })">&laquo;</a>
                <? endif ?>

                <? foreach ( $pages as $page ): ?>
                    <? if ( $this->page == $page ): ?>
                        <span class="active-page"><?= $page ?></span>
                    <? else: ?>
                        <a rel="external" class="p" href="?page=<?= $page ?>" onclick="return Cubix.Comments.LoadComments({ page: <?= $page ?> })"><?= $page ?></a>
                    <? endif ?>
                <? endforeach; ?>

                <? if ( $pages_count > $this->page): ?>
                    <a rel="external" class="next" href="?page=<?= $this->page + 1 ?>" onclick="return Cubix.Comments.LoadComments({ page: <?= $this->page + 1 ?> })">&raquo;</a>
                <? endif ?>
            <?php endif;?>
        </p>
        <? endif; ?>
        <div class="toClear"></div>
    <? else: ?>
        <p style="margin-bottom: 0"><?= $this->t('no_comment') ?></p>
    <?php endif; ?>
</div>